Interwiki templates
Closed, ResolvedPublic

Description

Author: reflection+bugzillawikipedia

Description:
Redirecting your user page from one wiki to another can be frustrating for those
who would like to be able to click on "User Contributions" to see your additions
to that wiki. A means to bypass this would be to create interwiki templating.
For example, I have created a template of my user page found at {{Alterego}}.
If I wanted to use this on wikiquote, I could enter {{Wikipedia:Alterego}} or
{{Wikipedia:User:Alterego}} and it would pull the information from that wiki.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1126.
bzimport created this task.Via LegacyDec 18 2004, 7:34 AM
bzimport added a comment.Via ConduitApr 7 2005, 2:38 AM

brian wrote:

(In reply to comment #0)

Redirecting your user page from one wiki to another can be

frustrating for those

who would like to be able to click on "User Contributions" to see

your additions

to that wiki. A means to bypass this would be to create interwiki

templating.

For example, I have created a template of my user page found at

{{Alterego}}.

If I wanted to use this on wikiquote, I could enter

{{Wikipedia:Alterego}} or

{{Wikipedia:User:Alterego}} and it would pull the information from

that wiki.

I had a related request and when searching the existing bugs, I
found this. My request was to have templates that are not associated
with any wiki (or on Commons?) that can be used anywhere, e.g.,
Disambig, which now exists on both Meta and the English Wikipedia.

brion added a comment.Via ConduitMay 2 2005, 6:41 AM
  • Bug 2047 has been marked as a duplicate of this bug. ***
ToAruShiroiNeko added a comment.Via ConduitMay 2 2005, 6:48 AM

Artilces like [[en:Ranks and insignia of NATO Armies]] can be transfered to other pages as almost all of the page is in a
diferent language as it is a comparasion chart. I intend to do more of such articles and this would help me greatly.

Cool Cat

http://en.wikipedia.org/wiki/User_talk:Coolcat

bzimport added a comment.Via ConduitMay 24 2005, 7:08 PM

DouglasMilnes wrote:

In one of the Wiki projects I'm involved with, we are often wanting
to link to topics in Wikipedia but expect the user to want to stay
within our project as they are likely to want to move on to other
topics in that Wiki.

It would be very useful, therefore, to show pages from other wikis
within that wiki's framework. I'm not sure how links within such a
topic would be handled, however.

bzimport added a comment.Via ConduitJun 17 2005, 1:11 AM

gengiskanhg.geo wrote:

I am working in CHESS PROJECT from English and Spanish wikipedias. An inter wiki
template will be so useful for our chess diagram template. gengiskanhg from en,
es, de.

bzimport added a comment.Via ConduitJun 25 2005, 10:35 AM

gangleri wrote:

Hallo!

FireDragon and I started to build a *crosswiki* test environment.

If you compare
http://www.wikipage.de/en/index.php?title=Special:Allpages&from=ALLPAGESNS&namespace=10
http://www.wikipage.de/de/index.php?title=Special:Allpages&from=ALLPAGESNS&namespace=10
http://www.wikipage.de/eo/index.php?title=Special:Allpages&from=ALLPAGESNS&namespace=10
http://www.wikipage.de/it/index.php?title=Special:Allpages&from=ALLPAGESNS&namespace=10
http://www.wikipage.de/ja/index.php?title=Special:Allpages&from=ALLPAGESNS&namespace=10
http://www.wikipage.de/ro/index.php?title=Special:Allpages&from=ALLPAGESNS&namespace=10
you will see that most of the templates are the same only some are *localized*
and redirect to English titles.

This is another step to "portability of code" - see
http://test.leuksman.com/index.php/FiverAlpha:Portability - in a multilanguage
environment.

I am transfering manualy the templates from one wiki to another in order to
verify the impacts. This is now easier do to navigation features (see bug 2474
comment 5).

It would be very helpfull to be able to *share* templates the same way as
images. This would be also a great benefit for WikiMedia foundation projects and
would be a great help both to syster projects and to new language projects.

Can anybody provide a path?
Could anybody help in the mean time with a bot?

Regards Reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitJul 3 2005, 8:33 AM

river wrote:

this is now implemented. not live on WMF yet.

bzimport added a comment.Via ConduitNov 10 2005, 7:48 AM

avarab wrote:

*** Bug 3917 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitDec 28 2005, 8:47 AM

stanley wrote:

This enhancement request has "resolved (fixed)" status. Is this interwiki
templates are available now?

bzimport added a comment.Via ConduitDec 29 2005, 12:23 AM

robchur wrote:

(In reply to comment #9)

This enhancement request has "resolved (fixed)" status. Is this interwiki
templates are available now?

Comment #7 says, "this is now implemented [but] not live on Wikimedia farm yet",
so the answer is yes and no. Yes, there's software support; no, it's not enabled
within Wikimedia's installation.

bzimport added a comment.Via ConduitJan 13 2006, 12:44 PM

brian wrote:

My understanding was that this would work the same way
as images, i.e. no syntax changes. Why, then, is this
marked as blocking bug 2376?

ToAruShiroiNeko added a comment.Via ConduitFeb 5 2006, 8:51 PM

So when can we have this bug working and kicking?

bzimport added a comment.Via ConduitFeb 5 2006, 9:47 PM

gangleri wrote:

(In reply to comment #11)

My understanding was that this would work the same way
as images, i.e. no syntax changes. Why, then, is this
marked as blocking bug 2376?

Bug 2376: Template syntax (tracking)
is a tracking bug; a kind of "to do" list.

bzimport added a comment.Via ConduitFeb 8 2006, 4:02 AM

brian wrote:

(In reply to comment #13)

Bug 2376: Template syntax (tracking) is a tracking

bug; a kind of "to do" list.

This isn't a syntax issue though, I thought.

bzimport added a comment.Via ConduitMar 31 2006, 8:24 PM

momat wrote:

I see this in "not live on WMF", but how to use it then? I have my own mediawiki
1.5 installation, however code like these:
{{wikipedia:border|{{wikipedia:flagicon|POL}}}} is not interpreted there.

What needs to be done to make it working and when this feature would be "live on
WMF"?

bzimport added a comment.Via ConduitJul 19 2006, 2:19 AM

stanley wrote:

Yes, can someone make documentation on how to use this feature?

bzimport added a comment.Via ConduitOct 5 2006, 8:49 PM

martin wrote:

This feature has not yet been enabled on WMF wikis. See Bug 4547.

bzimport added a comment.Via ConduitApr 22 2007, 11:40 PM

Gabriel.de-Perthuis wrote:

I would have voted for this, but I'll just vote for its application on
{fr,en}.wikipedia.org .

bzimport added a comment.Via ConduitApr 22 2007, 11:43 PM

Gabriel.de-Perthuis wrote:

Also, please document - just an example would be good, is it like
{{:it:template}}, or {{it::template}}, or anything else?

bzimport added a comment.Via ConduitApr 23 2007, 2:00 AM

ayg wrote:

This bug is a software issue that has been fixed. Please DO NOT comment on it
further. A request to enable this feature on Wikimedia sites is at bug 4547.
Related requests can be opened by creating new bugs.

bzimport added a comment.Via ConduitJul 2 2007, 10:39 AM

RSYQFIOJGWZA wrote:

Where has it been implemented so far?

bzimport added a comment.Via ConduitJul 2 2007, 2:00 PM

ayg wrote:

On any wiki that's chosen to enable $wgEnableScaryTranscluding. There's no list, it's not like we centrally track all MediaWiki installations. This bug is closed and there is no reason to comment on it anymore. See bug 4547 and bug 9890 for open bugs, that have not actually been fixed, related to this.

ToAruShiroiNeko added a comment.Via ConduitAug 20 2007, 6:46 PM

*** Bug 4547 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 20 2011, 11:53 PM

ecduggan wrote:

Template:Character

Attached: Seventh_InfoWiki-20110820095012.xml

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.